SPI\_prepare\_params

|        SPI\_prepare\_params         |                        |                         |                  |                                 |
|:-----------------------------------:|------------------------|-------------------------|------------------|---------------------------------|
|[Prev](spi-spi-prepare-extended.html)|[Up](spi-interface.html)|47.1. Interface Functions|[Home](index.html)| [Next](spi-spi-getargcount.html)|

---

[]()

## SPI\_prepare\_params

SPI\_prepare\_params — prepare a statement, without executing it yet

## Synopsis

```
SPIPlanPtr SPI_prepare_params(const char * command,
                              ParserSetupHook parserSetup,
                              void * parserSetupArg,
                              int cursorOptions)

```

## Description

`SPI_prepare_params` creates and returns a prepared statement for the specified command, but doesn't execute the command. This function is equivalent to `SPI_prepare_cursor`, with the addition that the caller can specify parser hook functions to control the parsing of external parameter references.

 This function is now deprecated in favor of `SPI_prepare_extended`.

## Arguments

`const char * *`command`*`

 command string

`ParserSetupHook *`parserSetup`*`

 Parser hook setup function

`void * *`parserSetupArg`*`

 pass-through argument for *`parserSetup`*

`int *`cursorOptions`*`

 integer bit mask of cursor options; zero produces default behavior

## Return Value

`SPI_prepare_params` has the same return conventions as `SPI_prepare`.

---

|[Prev](spi-spi-prepare-extended.html)|[Up](spi-interface.html)| [Next](spi-spi-getargcount.html)|
|:------------------------------------|:----------------------:|--------------------------------:|
|       SPI\_prepare\_extended        |   [Home](index.html)   |         SPI\_getargcount        |

 // \<![CDATA[ \<-- For SVG support if ('WebSocket' in window) { (function() { function refreshCSS() { var sheets = [].slice.call(document.getElementsByTagName("link")); var head = document.getElementsByTagName("head")[0]; for (var i = 0; i \< sheets.length; ++i) { var elem = sheets[i]; head.removeChild(elem); var rel = elem.rel; if (elem.href && typeof rel != "string" || rel.length == 0 || rel.toLowerCase() == "stylesheet") { var url = elem.href.replace(/(&|\\?)\_cacheOverride=\\d+/, ''); elem.href = url + (url.indexOf('?') \>= 0 ? '&' : '?') + '\_cacheOverride=' + (new Date().valueOf()); } head.appendChild(elem); } } var protocol = window.location.protocol === 'http:' ? 'ws://' : 'wss://'; var address = protocol + window.location.host + window.location.pathname + '/ws'; var socket = new WebSocket(address); socket.onmessage = function(msg) { if (msg.data == 'reload') window.location.reload(); else if (msg.data == 'refreshcss') refreshCSS(); }; console.log('Live reload enabled.'); })(); } // ]]\>